# Images and events
#
import pyglet
import pyglet.window.key as pk

class MyWindow(pyglet.window.Window):

    def __init__(self):
        super(MyWindow, self).__init__(resizable=True)
        pyglet.resource.path = ['data/images', '.']
        pyglet.resource.reindex()
        self._images = [pyglet.resource.image('snow1.jpg'),
                pyglet.resource.image('snow2.jpg'),
                pyglet.resource.image('snow3.jpg'),
                pyglet.resource.image('snow4.jpg')]
        self._index = 0

    def on_draw(self):
        self.clear()
        self._images[self._index].width = self.width
        self._images[self._index].height = self.height
        self._images[self._index].blit(0, 0)

    def on_key_press(self, key, modifiers):
        if key == pk.ESCAPE:
            pyglet.app.exit()
        if key == pk.SPACE:
            self._index += 1
            if self._index > 3:
                self._index = 0


if __name__ == "__main__":
    win = MyWindow()
    pyglet.app.run()
